
From: "Paul E. McKenney" <paulmck@us.ibm.com>

The hlist_for_each_entry_rcu() comment block refers to a nonexistent
hlist_add_rcu() API, needs to change to hlist_add_head_rcu().

Signed-off-by: Paul E. McKenney <paulmck@us.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/linux/list.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN include/linux/list.h~fix-comment-in-listh-that-refers-to-nonexistent-api include/linux/list.h
--- 25/include/linux/list.h~fix-comment-in-listh-that-refers-to-nonexistent-api	2005-04-04 01:52:18.000000000 -0700
+++ 25-akpm/include/linux/list.h	2005-04-04 01:52:18.000000000 -0700
@@ -692,7 +692,7 @@ static inline void hlist_add_after(struc
  * @member:	the name of the hlist_node within the struct.
  *
  * This list-traversal primitive may safely run concurrently with
- * the _rcu list-mutation primitives such as hlist_add_rcu()
+ * the _rcu list-mutation primitives such as hlist_add_head_rcu()
  * as long as the traversal is guarded by rcu_read_lock().
  */
 #define hlist_for_each_entry_rcu(tpos, pos, head, member)		 \
_
